/*
	MagaDebug32 fobOc[ Ver1.41
	}Nwb_[t@C
	ib^b{{ʁj
*/
#if !defined(___MAGADBGMACRO_H)
#define	___MAGADBGMACRO_H

#if /* defined(_DEBUG) && */ !defined(___MAGADBGCLASS_H)
#include "MagaDbg.h"
#endif

#if defined(_DEBUG)

#if defined(__cplusplus)

	static	CMagaDbg	___MagaDbg("DBGASSERT", DBG_RED);
	#define DBGASSERT(expr, str) \
		if ( !(expr) ) \
			___MagaDbg.printf("%s(%04d):%s", __FILE__, __LINE__, (str));
	#define	DBGBOOL(OBJ, str, expr) \
		OBJ.printf("%s = %s", (str), (expr) ? "TRUE" : "FALSE");
	#define DBGPARAM(OBJ, param) \
		OBJ.printf("HIWORD=%04X LOWORD=%04X", HIWORD(param), LOWORD(param));

#else

	#define DBGASSERT(expr, str) \
		if ( !(expr) ) \
			Dbg_printf("DBGASSERT:%s(%04d):%s", __FILE__, __LINE__, (str));
	#define	DBGBOOL(str, expr) \
		Dbg_printf("%s = %s", (str), (expr) ? "TRUE" : "FALSE");
	#define DBGPARAM(param) \
		Dbg_printf("HIWORD=%04X LOWORD=%04X", HIWORD(param), LOWORD(param));

#endif

#else	/* Release version */

#define DBGASSERT(expr, str)
#if defined(__cplusplus)
	#define	DBGBOOL(OBJ, str, expr)
#else
	#define	DBGBOOL(str, expr)
#endif

#endif

#endif
